=== help/Makefile ===
sin:
	gcc -shared -I ~/opt/include sin.c -o sin.so

clean:
	rm -f *.so
