## jack-tools 0.0.2

=== debian/changelog ===
jack-tools (0.0.2-7) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" with multiple orig tarballs. Closes: #485169
  * Switch main tarball to bz2 compression to avoid useless change of upstream
    version (it's empty anyway now).
  * Update build-depends to use libjack-dev instead of libjack0.100.0-dev.
    Closes: #527431

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 05 Nov 2009 17:39:09 +0100

jack-tools (0.0.2-6) unstable; urgency=low

  * QA upload.
  * Update x-dev build-dep to x11proto-core-dev. (Closes: #515447).
  * Add ${misc:Depends} for debhelper package.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Apr 2009 14:04:12 -0400

jack-tools (0.0.2-5) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * Fix bashisms in debian/rules. (Closes: #459088).
    + Thanks to Luca Falavigna.
  * Update homepage URL to point to the author's new site. (Closes: #384701).
  * Fix typo in package description. (Closes: #363984).
    + Thanks to Simon Waters.
  * Remove unversioned build-dep on automake. (Closes: #398505).
  * Add Copyright holder to debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Fri, 07 Mar 2008 19:15:38 -0500

jack-tools (0.0.2-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/install: Really install all advertised binaries. (closes: 357852)
    Thanks Alban Peignier <alban.peignier@free.fr> for the patch.
  * Fix changelog lintian warning + old copyright fsf address.

 -- maximilian attems <maks@sternwelten.at>  Fri, 29 Sep 2006 23:31:15 +0200

jack-tools (0.0.2-4) unstable; urgency=low

  * acknowledge 0.0.2-3.1 NMU; thanks Steinar; closes: Bug#346697
  * fix pidof path; closes: Bug#307245 (jack-tools: jack.ctl has 
    incorrect path for /bin/pidof)

 -- Robert Jordens <jordens@debian.org>  Sat,  4 Mar 2006 14:41:33 +0100

jack-tools (0.0.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package. (Closes: #346697)
  * Insert extra spaces at the end of some shell script lines in debian/rules,
    to satisfy newer versions of GNU make.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 23 Jan 2006 01:11:17 +0100

jack-tools (0.0.2-3) unstable; urgency=low

  * rebuild against jack 0.100.0; closes: Bug#317170: libjack0.80.0-0 removed
    from unstable; rebuild required

 -- Robert Jordens <jordens@debian.org>  Sat,  2 Jul 2005 15:06:57 +0200

jack-tools (0.0.2-2) unstable; urgency=low

  * rebuild using the correct libjack, closes: Bug#241275

 -- Robert Jordens <jordens@debian.org>  Thu, 1 Apr 2004 00:14:58 +0200

jack-tools (0.0.2-1) unstable; urgency=low

  * new upstream versions

 -- Robert Jordens <jordens@debian.org>  Tue, 23 Mar 2004 22:47:11 +0100

jack-tools (0.0.1-1) unstable; urgency=low

  * Initial Release; closes: Bug#229515
  * tweaked cdbs a lot to build stuff in mutliple directories

 -- Robert Jordens <jordens@debian.org>  Tue, 20 Jan 2004 21:28:36 +0100
