=== debian/control ===
Source: jack-tools
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 5.0.0), cdbs, quilt, bzip2, dh-buildinfo, autoconf (>= 2.52), automake1.7, libtool, m4, flex, libjack-dev, libsndfile1-dev, libxext-dev, libxt-dev, x11proto-core-dev
Standards-Version: 3.8.1
Homepage: http://slavepianos.org/rd/f/207983/

Package: jack-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, jackd (>= 0.94.0)
Description: various JACK tools: plumbing, play, udp, ctl, scope, clock
 This collection contains a bunch of small tools for JACK written by Rohan
 Drape for the JACK low latency audio API.
 .
 JACK allows the connection of multiple applications to an audio device, 
 as well as allowing them to share audio between themselves.
 .
 jack.plumbing maintains a set of port connection rules and
 manages these as clients register ports with JACK. Port names are
 implicitly bounded regular expressions and support sub-expression
 patterns.
 .
 jack.play is a light-weight JACK sound file player. It
 creates as many output ports as there are channels in the input file.
 .
 jack.udp is a UDP audio transport mechanism for JACK.  The
 send mode reads signals from a set of JACK input ports and sends
 UDP packets to the indicated port at the indicated host at a rate
 determined by the local JACK daemon.  The "recv" mode reads
 incoming packets at the indicated port and writes the incoming data to
 a set of JACK output ports at a rate that is determined by the local
 JACK daemon.
 .
 jack.ctl is a JACK session manager.  It reads configuration information 
 from a system wide and a user specific configuration file and 
 manages sessions involving the JACK daemon proper and optionally a 
 set of secondary jack daemons.
 .
 jack.scope draws either a time domain signal trace or a self
 correlation trace.  Multiple input channels are superimposed, each
 channel is drawn in a different color. jack.scope accepts
 OSC packets for interactive control of drawing parameters.
 .
 jack.clock publishes the transport state of the local JACK server as OSC
 packets over a UDP connection. jack.clock allows any OSC enabled 
 application to act as a JACK transport client, receiving 
 sample accurate pulse stream timing data, and monitoring and 
 initiating transport state change.
