## jack-tools 20101210

=== debian/changelog ===
jack-tools (20101210-2) unstable; urgency=low

  * Team upload.
  * ACK NMU.

  [ IOhannes m zmölnig ]
  * Fix improper use of fprintf (Closes: #643413)
  * Added myself as copyright-holder in debian/
  * Updated homepage field

  [ Adrian Knoth ]
  * Mark patch for #643413 as forwarded

  [ Alessio Treglia ]
  * Fix FTBFS with ld --as-needed.
    Thanks to Leo Iannacone <l3on@ubuntu.com> (Closes: #655216)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 20:00:23 +0100

jack-tools (20101210-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: jack.dl.c:20:3: error: format not a string literal and
    no format arguments [-Werror=format-security]": add patch
    fix-format-security.patch from Mònica Ramírez Arceda.
    (Closes: #643413)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 13:47:54 +0100

jack-tools (20101210-1) unstable; urgency=low

  * New snapshot of upstream Darcs repository.
  * Update copyright file: Rewrite using Subversion draft rev.173 of
    DEP5.
  * Add linkage of libdl and libm to LDFLAGS.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Mar 2011 13:20:36 +0100

jack-tools (20100210-1) experimental; urgency=low

  [ Arnout Engelen ]
  * Friendly takeover: Move packaging to Debian Multimedia Maintainers.
    Closes: bug#469929.
  * Rewrite packaging mostly from scratch (also due to structural
    changes upstream).
  * Switch to git for sources.
  * Add build target get-orig-source to fetch latest version from Darcs.

  [ Jonas Smedegaard ]
  * Generate manpages more reliably using a2x (not directly with
    asciidoc).
    Build-depend on libxml2-utils and docbook-xml.
  * Rewrite packaging to use CDBS (not short-form dh).
  * Avoid shipping header file.
  * Fix install jack.dl.1 in correct path.
  * Relax debhelper compat level to 6: No newer features required so
    better to ease backportability.
  * Relax build-dependency on debhelper to match compat level.
  * Build-depend on libsamplerate-dev, liblo-dev and libncurses-dev:
    Required by new upstream release.
  * Rewrite long description to mention upstream project name, and note
    that jack.udp is obsolete.
  * Rewrite copyright file using Bazaar draft rev. 137 of DEP5.
  * Add myself as uploader.
  * Relax dependency on jackd to be unversioned.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jan 2011 06:52:26 +0100
