=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Arnout Engelen <arnouten@bzzt.net>
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jack.*
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = 1.10
DEB_AUTO_UPDATE_AUTOCONF = 2.60
DEB_AUTO_UPDATE_AUTOMAKE = 1.10
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# Suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# bootstrap autotools files (CDBS by default only update, not create)
DEB_MAKE_CLEAN_TARGET = distclean
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign
pre-build::
	touch aclocal.m4
clean::
	rm -f Makefile.in common/Makefile.in
	rm -f configure
	rm -f aclocal.m4
	rm -rf config

# avoid shipping header file for now
install/jack-tools::
	rm -rf $(cdbs_curdestdir)/usr/include

# dh_installman installs jack.dl.1 in wrong path
binary-post-install/jack-tools::
	mv $(cdbs_curdestdir)/usr/share/man/dl/man1/jack.1 $(cdbs_curdestdir)/usr/share/man/man1/jack.dl.1
	rmdir $(cdbs_curdestdir)/usr/share/man/dl/man1 $(cdbs_curdestdir)/usr/share/man/dl

# looks like manpages aren't covered by upstream build rules
# so we handle it ourselves
build/jack-tools::
	find -maxdepth 1 -type f -name '*.text' -exec a2x -f manpage '{}' ';'
clean::
	rm -f *.1

TARBALL = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
get-orig-source:
	rm -rf get-orig-source '$(TARBALL)'
	mkdir get-orig-source
	darcs get 'http://www.slavepianos.org/rd/sw/jack.*' 'get-orig-source/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig'
	rm -rf 'get-orig-source/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig/_darcs'
	GZIP='--best --no-name' tar czf '$(TARBALL)' -C get-orig-source '$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig'
	rm -rf get-orig-source
	echo '  "$(TARBALL)" created; now git-import-orig and remove it again.'
