## jack-tools 20131226

=== debian/changelog ===
jack-tools (20131226-4) unstable; urgency=medium

  * Team upload
  * Drop unused build-dep on bzip2 & flex
  * Replace CDBS build with short DH sequencer
  * Merge two overlapping Makefile patches with aid of "gbp pq"
  * Enable hardening
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 11:09:29 +0200

jack-tools (20131226-3) unstable; urgency=medium

  * Team upload
  * Avoid FTBFS with GCC-14 (Closes: #1075097)
  * Remove stale debian/control.in
  * Trim dead code from d/rules

  [ Helmut Grohne ]
  * avoid FTCBFS (Closes: #944635)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 28 Sep 2025 22:07:57 +0200

jack-tools (20131226-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Jonas Smedegaard ]
  * remove myelf as uploader

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 11:13:47 +0200

jack-tools (20131226-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper version to 10. (Closes: #965600)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Dec 2022 03:22:18 +0800

jack-tools (20131226-1) unstable; urgency=medium

  * Team upload.

  [ Arnout Engelen ]
  * New upstream version
    - renamed tools from 'jack.*' to 'jack-*'
    - bugfixes
    - better documentation
    - no more autoconf
  * Hardening flags
  * Canonical VCS path
  * Remove common object on 'clean'

  [ Alessio Treglia ]
  * Build-depend on libasound2-dev, freeglut3-dev.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Oct 2014 14:54:30 +0100
