=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Arnout Engelen <arnouten@bzzt.net>
# Copyright © 2010-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jack.*
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:

	dh $@

override_dh_auto_build:
	make CFLAGS="$(CFLAGS) $(CPPFLAGS) -std=c99 -D_POSIX_C_SOURCE=200112 -Wno-incompatible-pointer-types"\
             LDFLAGS="$(LDFLAGS)" \
             mk-local-c-common all
	find -maxdepth 1 -type f -name '*.text' -exec a2x -f manpage '{}' ';'

override_dh_auto_install:
