=== debian/watch ===
# jack.* currently does not do any releases, and we can't monitor darcs commits
# from a watch file afaics
